Bug 25320 - crash of anconda while upgrading from RH6.2 to 7.0
crash of anconda while upgrading from RH6.2 to 7.0
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-30 13:29 EST by Peter Lourens
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-01 13:03:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Lourens 2001-01-30 13:29:06 EST
27/28 jan 2001: While upgrading fron RedHat 6.2 to RedHat 7.0 the install
crashed. This happened two times. The second time after I tried to upgrade
again. I needed to reinstall the computer, the 6.2 install refused to boot.

This is the output the installer wrote to a file on a floppy the last
attempt to upgrade

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1543, in
doInstall
    self.instCallback, p)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1298, in
instCallback
    self.rpmFD = os.open(fn, os.O_RDONLY)
OSError: [Errno 2] No such file or directory:
'/mnt/source/RedHat/RPMS/kernel-utils-2.2.16-22.i386.rpm'

Local variables in innermost frame:
fn: /mnt/source/RedHat/RPMS/kernel-utils-2.2.16-22.i386.rpm
total: 0
self: <todo.ToDo instance at 827c700>
h: <header object at 88fe370>
amount: 0
intf: <text.InstallProgressWindow instance at 93fcac0>
what: 2

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I1
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'hdd'
sS'progressWindow'
p9

<failed>
Comment 1 Michael Fulbright 2001-02-01 13:03:53 EST
You are getting read errors from your CD - it is most likely bad.

Note You need to log in before you can comment on or make changes to this bug.